Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000722Dwarf FortressDwarf Mode -- Embark/Setuppublic2010-04-07 09:142016-05-18 12:24
Reporterdamocles 
Assigned ToToady One 
PrioritylowSeveritytrivialReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.31.01 
Target VersionFixed in Version0.43.03 
Summary0000722: Embark profile warns that fish not available, but they actually are
DescriptionWhen I load a saved embark setup, I get warned there is no good (for example cave lobster) available to embark with, but when I go to the items screen to select something new, cave lobster will be available as an embark item.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000135resolvedToady One Fish and other creatures listed twice in embark screen and trade screen, with no male/female symbol 
has duplicate 0001563resolvedFootkerchief Fish are ALWAYS flagged and removed at embark even if they are available 
has duplicate 0002413resolvedFootkerchief Fish at Embark in profiles 
has duplicate 0005467resolvedFootkerchief saved embark profiles don't find fish or turtles despite those being available to the civ chosen 
has duplicate 0005586resolvedKnight Otu Embark Preparations Not Complete, No Cave Lobster, No Cave Fish, No Pond Turtle, but able to select them in Fish menu 
has duplicate 0008117resolvedFootkerchief Items which are available trigger the unavailability warning 
related to 0002740resolvedLogical2u Modifying a saved embark profile gives extra points 
related to 0000218confirmedFootkerchief Vermin meat/organs can be obtained from embark/caravan 

-  Notes
(0001773)
Footkerchief (manager)
2010-04-07 10:08

I suspect this is related to 0000135 -- the item you saved was female lobsters, but only male lobsters are available, or something.
(0001990)
damocles (reporter)
2010-04-08 03:08

That's odd - I searched for issues with the word embark in them, but did not find the one you linked.

However, I don't think it is related. As when I open my saved embark set and get the no lobster warning, I still have two lobster items available in the following add embark items list. So I doubt it's a male/female issue.
(0002266)
Inkster (reporter)
2010-04-08 22:41

I have the same issue often, always for cave lobster. I can still go back in and add the cave lobster and it shows up twice
(0003844)
ercdvs (reporter)
2010-04-16 07:41

just chiming in. Cave lobster is in my saved embark profile, and i get the warning.

manually searching for 'CAVE' shows both male/female cave lobsters, which i just readd.
(0003846)
Proteus (reporter)
2010-04-16 08:10

I have made the same observation, for cave lobster as well as for cave fish.

In all cases there were duplicate entries in the menu for selecting cave lobsters and/or -fish as new item.
So obviously both, male as well as female cave lobsters/fish were available for my dwarven civilization.
(0005271)
DoctorZuber (reporter)
2010-04-26 20:57

1. save an embark profile including as many different types of fish as possible.
2. start a new fortress using this saved profile
3. look over the warning screen and notice all types of fish are flagged.
4. look at the new items list and try to add fish, some or all of the fish are likely to be available.

This seems to happen with All of the double entry fish. It throws one warning about each type of fish in your profile at embark, and removes both entries. It does this even if the fish is available.
(0005273)
Footkerchief (manager)
2010-04-26 21:08

DoctorZuber: so this doesn't happen with meat, only (vermin-sized) fish?
(0005274)
DoctorZuber (reporter)
2010-04-26 21:10

the only one I can confirm is the double entry fish, I don't have any double entry meat in the profile that I am aware of but I'll keep looking.
(0005281)
Logical2u (manager)
2010-04-26 21:59

Copied from a soon-to-be-child report....
I'll confirm that this occurred in my game.
I concur with Zuber's guess that it's related to the gender tagging. It seems likely that the game loses track of the gender tag during saving (since it's meat - it doesn't matter if it was a male or female fish once it's dead), but looks for the gender again once the profile is loaded. Butchered meat seems immune most of the time - the gender differentiation is presumably lost in the processing?
(0005855)
DoctorZuber (reporter)
2010-05-01 13:48

okay, I can confirm all these fish.

- cave lobster
- cave fish
- turtle
- lungfish

All of these are double-fish. I haven't been able to find any other double entries in the embark menu.
(0020830)
Syndic (reporter)
2012-02-28 00:31

Still happens in 0.34.02 (thanks footkerchief, didn't find this one in the search)
(0029493)
lethosor (manager)
2014-08-22 10:47
edited on: 2014-08-22 10:49

zlobtheking uploaded a profile from 0008117: http://dffd.wimbli.com/file.php?id=9484 [^]
On pastebin: http://pastebin.com/nLMRwsFA [^]


- Issue History
Date Modified Username Field Change
2010-04-07 09:14 damocles New Issue
2010-04-07 10:06 Footkerchief Relationship added related to 0000135
2010-04-07 10:07 Footkerchief Relationship replaced child of 0000135
2010-04-07 10:07 Footkerchief Summary warn of no good when good exists => Embark screen warns that saved items (cave lobster) are not available, but they actually are
2010-04-07 10:08 Footkerchief Note Added: 0001773
2010-04-08 03:08 damocles Note Added: 0001990
2010-04-08 22:41 Inkster Note Added: 0002266
2010-04-09 00:19 Footkerchief Relationship deleted child of 0000135
2010-04-16 07:41 ercdvs Note Added: 0003844
2010-04-16 08:10 Proteus Note Added: 0003846
2010-04-26 20:40 Footkerchief Summary Embark screen warns that saved items (cave lobster) are not available, but they actually are => Embark screen warns that embark profile items (meat/fish) are not available, but they actually are
2010-04-26 20:41 Footkerchief Relationship added related to 0000135
2010-04-26 20:53 Footkerchief Relationship added parent of 0001563
2010-04-26 20:57 DoctorZuber Note Added: 0005271
2010-04-26 21:08 Footkerchief Note Added: 0005273
2010-04-26 21:08 Footkerchief Issue Monitored: Footkerchief
2010-04-26 21:10 DoctorZuber Note Added: 0005274
2010-04-26 21:29 Footkerchief Summary Embark screen warns that embark profile items (meat/fish) are not available, but they actually are => Embark screen warns that fish not available, but they actually are
2010-04-26 21:59 Logical2u Note Added: 0005281
2010-05-01 13:48 DoctorZuber Note Added: 0005855
2010-06-21 09:00 Footkerchief Summary Embark screen warns that fish not available, but they actually are => Embark profile warns that fish not available, but they actually are
2010-06-21 09:01 Footkerchief Relationship added has duplicate 0002413
2010-07-18 01:53 Footkerchief Relationship added related to 0002740
2010-07-25 15:28 Footkerchief Relationship added related to 0000218
2010-12-25 05:07 Kogut Issue Monitored: Kogut
2012-02-26 14:37 Footkerchief Relationship added has duplicate 0005467
2012-02-26 14:38 Footkerchief Relationship replaced has duplicate 0001563
2012-02-28 00:31 Syndic Note Added: 0020830
2012-03-08 23:58 Knight Otu Relationship added has duplicate 0005586
2014-08-22 09:55 Footkerchief Relationship added has duplicate 0008117
2014-08-22 09:55 Footkerchief Assigned To => Footkerchief
2014-08-22 09:55 Footkerchief Status new => confirmed
2014-08-22 10:47 lethosor Note Added: 0029493
2014-08-22 10:49 lethosor Note Edited: 0029493 View Revisions
2016-05-18 12:24 Toady One Status confirmed => resolved
2016-05-18 12:24 Toady One Fixed in Version => Next Version
2016-05-18 12:24 Toady One Resolution open => fixed
2016-05-18 12:24 Toady One Assigned To Footkerchief => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker